/*
 * The user.js file is an optional file the user can create to override preferences in the prefs.js file.
 *
 * 'each' time you launch FireFox / TenFourFox it will attempt to copy / update preferences from the
 * user.js file to the prefs.js file (located in the same profile folder).
 *
 * You can read about the user.js file here -> http://kb.mozillazine.org/User.js_file
 *
 * This file contains recommended changes from the "My TenFourFox About:Config tweaks - and my addons"
 * thread http://forums.macrumors.com/threads/my-tenfourfox-about-config-tweaks-and-my-addons.1838393/
 *
 * This file is v6 and contains tweaks in posts 1 through 165.
 */

user_pref("aurora.plugins.enable", false);
user_pref("browser.cache.compression_level", 5);
user_pref("browser.cache.disk.max_entry_size", 16384);
user_pref("browser.cache.memory.capacity", 0);
user_pref("browser.cache.memory.max_entry_size", 0);
user_pref("browser.cache.offline.capacity", 0);
user_pref("browser.cache.use_new_backend", 1);
user_pref("browser.dom.global_scope_pollution", false);
user_pref("browser.download.animateNotifications", false);
user_pref("browser.fixup.alternate.enabled", false);
user_pref("browser.fullscreen.animateUp", 0);
user_pref("browser.fullscreen.autohide", false);
user_pref("browser.history_expire_days_min", 1);
user_pref("browser.pagethumbnails.capturing_disabled", true);
user_pref("browser.panorama.animate_zoom", false);
user_pref("browser.preferences.animateFadeIn", false);
user_pref("browser.rights.3.shown", true);
user_pref("browser.safebrowsing.enabled", false);
user_pref("browser.safebrowsing.malware.enabled", false);
user_pref("browser.sessionhistory.max_entries", 2);
user_pref("browser.sessionhistory.max_total_viewers", 0);
user_pref("browser.sessionstore.max_tabs_undo", 0);
user_pref("browser.tabs.animate", false);
user_pref("browser.tabs.remote", true);
user_pref("browser.tabs.remote.autostart", true);
user_pref("browser.turbo.enabled", true);
user_pref("content.interrupt.parsing", false);
user_pref("content.max.tokenizing.time", 2250000);
user_pref("content.maxtextrun", 8191);
user_pref("content.notify.backoffcount", 5);
user_pref("content.notify.interval", 750000);
user_pref("content.notify.ontimer", true);
user_pref("dom.battery.enabled", false);
user_pref("dom.event.clipboardevents.enabled", false);
user_pref("dom.ipc.reportProcessHangs", false);
user_pref("dom.mozApps.used", true);
user_pref("font.size.inflation.disabledInMasterProcess", true);
user_pref("geo.enabled", false);
user_pref("gfx.color_management.enablev4", false);
user_pref("idle.lastDailyNotification", 1460484924);
user_pref("image.animation_mode", "once");
user_pref("image.cache.size", 132768);
user_pref("image.cache.timeweight", 4000);
user_pref("image.mem.allow_locking_in_content_processes", false);
user_pref("javascript.options.jit.chrome", true);
user_pref("layout.css.osx-font-smoothing.enabled", false);
user_pref("media.gmp-manager.buildID", "20160604070517");
user_pref("media.gmp-manager.lastCheck", 1465388450);
user_pref("media.navigator.enabled", false);
user_pref("media.navigator.load_adapt", false);
user_pref("media.peerconnection.enabled", false);
user_pref("media.peerconnection.identity.timeout", 1);
user_pref("media.peerconnection.turn.disable", true);
user_pref("media.peerconnection.use_document_iceservers", false);
user_pref("media.peerconnection.video.enabled", false);
user_pref("memory.free_dirty_pages", true);
user_pref("network.dns.disableIPv6", true);
user_pref("network.dnsCacheEntries", 256);
user_pref("network.dnsCacheExpiration", 86400);
user_pref("network.http.keep-alive", true);
user_pref("network.http.keep-alive.timeout", 30);
user_pref("network.http.max-connections", 400);
user_pref("network.http.max-persistent-connections-per-proxy", 100);
user_pref("network.http.pipelining", true);
user_pref("network.http.pipelining.abtest", true);
user_pref("network.http.pipelining.aggressive", true);
user_pref("network.http.pipelining.max-optimistic-requests", 8);
user_pref("network.http.pipelining.ssl", true);
user_pref("network.http.proxy.pipelining", true);
user_pref("network.http.request.max-start-delay", 5);
user_pref("network.https.max-connections", 400);
user_pref("network.prefetch-next", false);
user_pref("network.protocol-handler.external.disk", true);
user_pref("network.protocol-handler.external.disks", true);
user_pref("network.websocket.delay-failed-reconnects", false);
user_pref("nglayout.enable_drag_images", false);
user_pref("nglayout.initialpaint.delay", 0);